apiVersion: web.servers.org/v1alpha1
kind: WebServer
metadata:
  creationTimestamp: '2022-06-06T09:14:57Z'
  generation: 1
  managedFields:
    - apiVersion: web.servers.org/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          .: {}
          'f:hosts':
            .: {}
            'v:"jws-app-ktsagara-tests.apps.jws-qe-gymi.dynamic.xpaas"': {}
          'f:pods': {}
          'f:replicas': {}
          'f:scalingdownPods': {}
      manager: jws-operator
      operation: Update
      subresource: status
      time: '2022-06-06T09:14:57Z'
    - apiVersion: web.servers.org/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          .: {}
          'f:applicationName': {}
          'f:replicas': {}
          'f:useSessionClustering': {}
          'f:webImage':
            .: {}
            'f:applicationImage': {}
            'f:webServerHealthCheck':
              .: {}
              'f:serverReadinessScript': {}
      manager: okhttp
      operation: Update
      time: '2022-06-06T09:14:57Z'
  name: pod-test
  namespace: ktsagara-tests
  resourceVersion: '2471311'
  uid: 41efbe95-e9b4-42c3-b08f-6f6f2762b3ff
spec:
  applicationName: jws-app
  replicas: 1
  useSessionClustering: false
  webImage:
    applicationImage: >-
      image-registry.openshift-image-registry.svc:5000/ktsagara-tests-build-namespace/noha-servlet-counter-webserver56jdk8
    webServerHealthCheck:
      serverReadinessScript: ''
status:
  hosts:
    - jws-app-ktsagara-tests.apps.jws-qe-gymi.dynamic.xpaas
  pods:
    - name: jws-app-b76b8fdd8-w4pl7
      podIP: 10.129.2.130
      state: ACTIVE
  replicas: 1
  scalingdownPods: 0
